]> git.ipfire.org Git - thirdparty/binutils-gdb.git/blob - gas/Makefile.in
gas: generate .sframe from CFI directives
[thirdparty/binutils-gdb.git] / gas / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 2012-2022 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING3. If not see
32 # <http://www.gnu.org/licenses/>.
33 #
34
35 #
36 # Copyright (C) 2012-2022 Free Software Foundation, Inc.
37 #
38 # This file is free software; you can redistribute it and/or modify
39 # it under the terms of the GNU General Public License as published by
40 # the Free Software Foundation; either version 3 of the License, or
41 # (at your option) any later version.
42 #
43 # This program is distributed in the hope that it will be useful,
44 # but WITHOUT ANY WARRANTY; without even the implied warranty of
45 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
46 # GNU General Public License for more details.
47 #
48 # You should have received a copy of the GNU General Public License
49 # along with this program; see the file COPYING3. If not see
50 # <http://www.gnu.org/licenses/>.
51 #
52
53
54 VPATH = @srcdir@
55 am__is_gnu_make = { \
56 if test -z '$(MAKELEVEL)'; then \
57 false; \
58 elif test -n '$(MAKE_HOST)'; then \
59 true; \
60 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
61 true; \
62 else \
63 false; \
64 fi; \
65 }
66 am__make_running_with_option = \
67 case $${target_option-} in \
68 ?) ;; \
69 *) echo "am__make_running_with_option: internal error: invalid" \
70 "target option '$${target_option-}' specified" >&2; \
71 exit 1;; \
72 esac; \
73 has_opt=no; \
74 sane_makeflags=$$MAKEFLAGS; \
75 if $(am__is_gnu_make); then \
76 sane_makeflags=$$MFLAGS; \
77 else \
78 case $$MAKEFLAGS in \
79 *\\[\ \ ]*) \
80 bs=\\; \
81 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
82 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
83 esac; \
84 fi; \
85 skip_next=no; \
86 strip_trailopt () \
87 { \
88 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
89 }; \
90 for flg in $$sane_makeflags; do \
91 test $$skip_next = yes && { skip_next=no; continue; }; \
92 case $$flg in \
93 *=*|--*) continue;; \
94 -*I) strip_trailopt 'I'; skip_next=yes;; \
95 -*I?*) strip_trailopt 'I';; \
96 -*O) strip_trailopt 'O'; skip_next=yes;; \
97 -*O?*) strip_trailopt 'O';; \
98 -*l) strip_trailopt 'l'; skip_next=yes;; \
99 -*l?*) strip_trailopt 'l';; \
100 -[dEDm]) skip_next=yes;; \
101 -[JT]) skip_next=yes;; \
102 esac; \
103 case $$flg in \
104 *$$target_option*) has_opt=yes; break;; \
105 esac; \
106 done; \
107 test $$has_opt = yes
108 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
109 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
110 pkgdatadir = $(datadir)/@PACKAGE@
111 pkgincludedir = $(includedir)/@PACKAGE@
112 pkglibdir = $(libdir)/@PACKAGE@
113 pkglibexecdir = $(libexecdir)/@PACKAGE@
114 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
115 install_sh_DATA = $(install_sh) -c -m 644
116 install_sh_PROGRAM = $(install_sh) -c
117 install_sh_SCRIPT = $(install_sh) -c
118 INSTALL_HEADER = $(INSTALL_DATA)
119 transform = $(program_transform_name)
120 NORMAL_INSTALL = :
121 PRE_INSTALL = :
122 POST_INSTALL = :
123 NORMAL_UNINSTALL = :
124 PRE_UNINSTALL = :
125 POST_UNINSTALL = :
126 build_triplet = @build@
127 host_triplet = @host@
128 target_triplet = @target@
129 noinst_PROGRAMS = as-new$(EXEEXT)
130 EXTRA_PROGRAMS = itbl-test$(EXEEXT)
131 subdir = .
132 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
133 am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
134 $(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
135 $(top_srcdir)/../config/depstand.m4 \
136 $(top_srcdir)/../config/gettext-sister.m4 \
137 $(top_srcdir)/../config/jobserver.m4 \
138 $(top_srcdir)/../config/largefile.m4 \
139 $(top_srcdir)/../config/lcmessage.m4 \
140 $(top_srcdir)/../config/lead-dot.m4 \
141 $(top_srcdir)/../config/nls.m4 \
142 $(top_srcdir)/../config/override.m4 \
143 $(top_srcdir)/../config/pkg.m4 \
144 $(top_srcdir)/../config/plugins.m4 \
145 $(top_srcdir)/../config/po.m4 \
146 $(top_srcdir)/../config/progtest.m4 \
147 $(top_srcdir)/../config/zlib.m4 \
148 $(top_srcdir)/../config/zstd.m4 $(top_srcdir)/../libtool.m4 \
149 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
150 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
151 $(top_srcdir)/acinclude.m4 $(top_srcdir)/../bfd/version.m4 \
152 $(top_srcdir)/configure.ac
153 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154 $(ACLOCAL_M4)
155 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
156 $(am__configure_deps)
157 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
158 configure.lineno config.status.lineno
159 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
160 CONFIG_HEADER = config.h
161 CONFIG_CLEAN_FILES = gdb.ini .gdbinit po/Makefile.in
162 CONFIG_CLEAN_VPATH_FILES =
163 PROGRAMS = $(noinst_PROGRAMS)
164 am__objects_1 = app.$(OBJEXT) as.$(OBJEXT) atof-generic.$(OBJEXT) \
165 compress-debug.$(OBJEXT) cond.$(OBJEXT) depend.$(OBJEXT) \
166 dwarf2dbg.$(OBJEXT) dw2gencfi.$(OBJEXT) ecoff.$(OBJEXT) \
167 ehopt.$(OBJEXT) expr.$(OBJEXT) flonum-copy.$(OBJEXT) \
168 flonum-konst.$(OBJEXT) flonum-mult.$(OBJEXT) frags.$(OBJEXT) \
169 gen-sframe.$(OBJEXT) hash.$(OBJEXT) input-file.$(OBJEXT) \
170 input-scrub.$(OBJEXT) listing.$(OBJEXT) literal.$(OBJEXT) \
171 macro.$(OBJEXT) messages.$(OBJEXT) output-file.$(OBJEXT) \
172 read.$(OBJEXT) remap.$(OBJEXT) sb.$(OBJEXT) \
173 sframe-opt.$(OBJEXT) stabs.$(OBJEXT) subsegs.$(OBJEXT) \
174 symbols.$(OBJEXT) write.$(OBJEXT)
175 am_as_new_OBJECTS = $(am__objects_1)
176 am__dirstamp = $(am__leading_dot)dirstamp
177 as_new_OBJECTS = $(am_as_new_OBJECTS)
178 am__DEPENDENCIES_1 =
179 am__DEPENDENCIES_2 = ../bfd/libbfd.la ../libiberty/libiberty.a
180 AM_V_lt = $(am__v_lt_@AM_V@)
181 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
182 am__v_lt_0 = --silent
183 am__v_lt_1 =
184 am_itbl_test_OBJECTS = itbl-parse.$(OBJEXT) itbl-lex.$(OBJEXT)
185 itbl_test_OBJECTS = $(am_itbl_test_OBJECTS)
186 itbl_test_DEPENDENCIES = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ \
187 $(am__DEPENDENCIES_2)
188 SCRIPTS = $(noinst_SCRIPTS)
189 AM_V_P = $(am__v_P_@AM_V@)
190 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
191 am__v_P_0 = false
192 am__v_P_1 = :
193 AM_V_GEN = $(am__v_GEN_@AM_V@)
194 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
195 am__v_GEN_0 = @echo " GEN " $@;
196 am__v_GEN_1 =
197 AM_V_at = $(am__v_at_@AM_V@)
198 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
199 am__v_at_0 = @
200 am__v_at_1 =
201 DEFAULT_INCLUDES = -I.@am__isrc@
202 depcomp = $(SHELL) $(top_srcdir)/../depcomp
203 am__depfiles_maybe = depfiles
204 am__mv = mv -f
205 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
206 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
207 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
208 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
209 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
210 $(AM_CFLAGS) $(CFLAGS)
211 AM_V_CC = $(am__v_CC_@AM_V@)
212 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
213 am__v_CC_0 = @echo " CC " $@;
214 am__v_CC_1 =
215 CCLD = $(CC)
216 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
218 $(AM_LDFLAGS) $(LDFLAGS) -o $@
219 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
220 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
221 am__v_CCLD_0 = @echo " CCLD " $@;
222 am__v_CCLD_1 =
223 @MAINTAINER_MODE_FALSE@am__skiplex = test -f $@ ||
224 LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
225 LTLEXCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
226 $(LIBTOOLFLAGS) --mode=compile $(LEX) $(AM_LFLAGS) $(LFLAGS)
227 AM_V_LEX = $(am__v_LEX_@AM_V@)
228 am__v_LEX_ = $(am__v_LEX_@AM_DEFAULT_V@)
229 am__v_LEX_0 = @echo " LEX " $@;
230 am__v_LEX_1 =
231 YLWRAP = $(top_srcdir)/../ylwrap
232 @MAINTAINER_MODE_FALSE@am__skipyacc = test -f $@ ||
233 am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
234 -e s/c++$$/h++/ -e s/c$$/h/
235 YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
236 LTYACCCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
237 $(LIBTOOLFLAGS) --mode=compile $(YACC) $(AM_YFLAGS) $(YFLAGS)
238 AM_V_YACC = $(am__v_YACC_@AM_V@)
239 am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
240 am__v_YACC_0 = @echo " YACC " $@;
241 am__v_YACC_1 =
242 SOURCES = $(as_new_SOURCES) $(EXTRA_as_new_SOURCES) \
243 $(itbl_test_SOURCES)
244 AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
245 am__v_DVIPS_ = $(am__v_DVIPS_@AM_DEFAULT_V@)
246 am__v_DVIPS_0 = @echo " DVIPS " $@;
247 am__v_DVIPS_1 =
248 AM_V_MAKEINFO = $(am__v_MAKEINFO_@AM_V@)
249 am__v_MAKEINFO_ = $(am__v_MAKEINFO_@AM_DEFAULT_V@)
250 am__v_MAKEINFO_0 = @echo " MAKEINFO" $@;
251 am__v_MAKEINFO_1 =
252 AM_V_INFOHTML = $(am__v_INFOHTML_@AM_V@)
253 am__v_INFOHTML_ = $(am__v_INFOHTML_@AM_DEFAULT_V@)
254 am__v_INFOHTML_0 = @echo " INFOHTML" $@;
255 am__v_INFOHTML_1 =
256 AM_V_TEXI2DVI = $(am__v_TEXI2DVI_@AM_V@)
257 am__v_TEXI2DVI_ = $(am__v_TEXI2DVI_@AM_DEFAULT_V@)
258 am__v_TEXI2DVI_0 = @echo " TEXI2DVI" $@;
259 am__v_TEXI2DVI_1 =
260 AM_V_TEXI2PDF = $(am__v_TEXI2PDF_@AM_V@)
261 am__v_TEXI2PDF_ = $(am__v_TEXI2PDF_@AM_DEFAULT_V@)
262 am__v_TEXI2PDF_0 = @echo " TEXI2PDF" $@;
263 am__v_TEXI2PDF_1 =
264 AM_V_texinfo = $(am__v_texinfo_@AM_V@)
265 am__v_texinfo_ = $(am__v_texinfo_@AM_DEFAULT_V@)
266 am__v_texinfo_0 = -q
267 am__v_texinfo_1 =
268 AM_V_texidevnull = $(am__v_texidevnull_@AM_V@)
269 am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
270 am__v_texidevnull_0 = > /dev/null
271 am__v_texidevnull_1 =
272 INFO_DEPS = doc/as.info
273 TEXINFO_TEX = $(top_srcdir)/../texinfo.tex
274 am__TEXINFO_TEX_DIR = $(top_srcdir)/..
275 DVIS = doc/as.dvi
276 PDFS = doc/as.pdf
277 PSS = doc/as.ps
278 HTMLS = doc/as.html
279 TEXINFOS = doc/as.texi
280 TEXI2PDF = $(TEXI2DVI) --pdf --batch
281 MAKEINFOHTML = $(MAKEINFO) --html
282 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
283 DVIPS = dvips
284 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
285 ctags-recursive dvi-recursive html-recursive info-recursive \
286 install-data-recursive install-dvi-recursive \
287 install-exec-recursive install-html-recursive \
288 install-info-recursive install-pdf-recursive \
289 install-ps-recursive install-recursive installcheck-recursive \
290 installdirs-recursive pdf-recursive ps-recursive \
291 tags-recursive uninstall-recursive
292 am__can_run_installinfo = \
293 case $$AM_UPDATE_INFO_DIR in \
294 n|no|NO) false;; \
295 *) (install-info --version) >/dev/null 2>&1;; \
296 esac
297 am__installdirs = "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
298 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
299 am__vpath_adj = case $$p in \
300 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
301 *) f=$$p;; \
302 esac;
303 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
304 am__install_max = 40
305 am__nobase_strip_setup = \
306 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
307 am__nobase_strip = \
308 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
309 am__nobase_list = $(am__nobase_strip_setup); \
310 for p in $$list; do echo "$$p $$p"; done | \
311 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
312 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
313 if (++n[$$2] == $(am__install_max)) \
314 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
315 END { for (dir in files) print dir, files[dir] }'
316 am__base_list = \
317 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
318 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
319 am__uninstall_files_from_dir = { \
320 test -z "$$files" \
321 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
322 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
323 $(am__cd) "$$dir" && rm -f $$files; }; \
324 }
325 man1dir = $(mandir)/man1
326 NROFF = nroff
327 MANS = $(man_MANS)
328 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
329 distclean-recursive maintainer-clean-recursive
330 am__recursive_targets = \
331 $(RECURSIVE_TARGETS) \
332 $(RECURSIVE_CLEAN_TARGETS) \
333 $(am__extra_recursive_targets)
334 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
335 cscope
336 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
337 $(LISP)config.in
338 # Read a list of newline-separated strings from the standard input,
339 # and print each of them once, without duplicates. Input order is
340 # *not* preserved.
341 am__uniquify_input = $(AWK) '\
342 BEGIN { nonempty = 0; } \
343 { items[$$0] = 1; nonempty = 1; } \
344 END { if (nonempty) { for (i in items) print i; }; } \
345 '
346 # Make sure the list of sources is unique. This is necessary because,
347 # e.g., the same source file might be shared among _SOURCES variables
348 # for different programs/libraries.
349 am__define_uniq_tagged_files = \
350 list='$(am__tagged_files)'; \
351 unique=`for i in $$list; do \
352 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
353 done | $(am__uniquify_input)`
354 ETAGS = etags
355 CTAGS = ctags
356 CSCOPE = cscope
357 DEJATOOL = $(PACKAGE)
358 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
359 DIST_SUBDIRS = $(SUBDIRS)
360 ACLOCAL = @ACLOCAL@
361 AMTAR = @AMTAR@
362 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
363 AR = @AR@
364 AUTOCONF = @AUTOCONF@
365 AUTOHEADER = @AUTOHEADER@
366 AUTOMAKE = @AUTOMAKE@
367 AWK = @AWK@
368 CATALOGS = @CATALOGS@
369 CATOBJEXT = @CATOBJEXT@
370 CC = @CC@
371 CCDEPMODE = @CCDEPMODE@
372 CFLAGS = @CFLAGS@
373 CPP = @CPP@
374 CPPFLAGS = @CPPFLAGS@
375 CYGPATH_W = @CYGPATH_W@
376 DATADIRNAME = @DATADIRNAME@
377 DEFS = @DEFS@
378 DEPDIR = @DEPDIR@
379 DSYMUTIL = @DSYMUTIL@
380 DUMPBIN = @DUMPBIN@
381 ECHO_C = @ECHO_C@
382 ECHO_N = @ECHO_N@
383 ECHO_T = @ECHO_T@
384 EGREP = @EGREP@
385 EXEEXT = @EXEEXT@
386 FGREP = @FGREP@
387 GDBINIT = @GDBINIT@
388 GENCAT = @GENCAT@
389 GMSGFMT = @GMSGFMT@
390 GREP = @GREP@
391 INCINTL = @INCINTL@
392 INSTALL = @INSTALL@
393 INSTALL_DATA = @INSTALL_DATA@
394 INSTALL_PROGRAM = @INSTALL_PROGRAM@
395 INSTALL_SCRIPT = @INSTALL_SCRIPT@
396 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
397 INSTOBJEXT = @INSTOBJEXT@
398 LARGEFILE_CPPFLAGS = @LARGEFILE_CPPFLAGS@
399 LD = @LD@
400 LDFLAGS = @LDFLAGS@
401 LEX = `if [ -f ../flex/flex ] ; then echo ../flex/flex ; else echo @LEX@ ; fi`
402 LEXLIB = @LEXLIB@
403 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
404 LIBINTL = @LIBINTL@
405 LIBINTL_DEP = @LIBINTL_DEP@
406 LIBM = @LIBM@
407 LIBOBJS = @LIBOBJS@
408 LIBS = @LIBS@
409 LIBTOOL = @LIBTOOL@
410 LIPO = @LIPO@
411 LN_S = @LN_S@
412 LTLIBOBJS = @LTLIBOBJS@
413 MAINT = @MAINT@
414 MAKEINFO = @MAKEINFO@
415 MKDIR_P = @MKDIR_P@
416 MKINSTALLDIRS = @MKINSTALLDIRS@
417 MSGFMT = @MSGFMT@
418 MSGMERGE = @MSGMERGE@
419 NM = @NM@
420 NMEDIT = @NMEDIT@
421 NO_WERROR = @NO_WERROR@
422 OBJDUMP = @OBJDUMP@
423 OBJEXT = @OBJEXT@
424 OPCODES_LIB = @OPCODES_LIB@
425 OTOOL = @OTOOL@
426 OTOOL64 = @OTOOL64@
427 PACKAGE = @PACKAGE@
428 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
429 PACKAGE_NAME = @PACKAGE_NAME@
430 PACKAGE_STRING = @PACKAGE_STRING@
431 PACKAGE_TARNAME = @PACKAGE_TARNAME@
432 PACKAGE_URL = @PACKAGE_URL@
433 PACKAGE_VERSION = @PACKAGE_VERSION@
434 PATH_SEPARATOR = @PATH_SEPARATOR@
435 PKG_CONFIG = @PKG_CONFIG@
436 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
437 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
438 POSUB = @POSUB@
439 RANLIB = @RANLIB@
440 SED = @SED@
441 SET_MAKE = @SET_MAKE@
442 SHELL = @SHELL@
443 STRIP = @STRIP@
444 USE_NLS = @USE_NLS@
445 VERSION = @VERSION@
446 WARN_CFLAGS = @WARN_CFLAGS@ @WARN_WRITE_STRINGS@
447 WARN_CFLAGS_FOR_BUILD = @WARN_CFLAGS_FOR_BUILD@
448 WARN_WRITE_STRINGS = @WARN_WRITE_STRINGS@
449 XGETTEXT = @XGETTEXT@
450 YACC = `if [ -f ../bison/bison ] ; then echo ../bison/bison -y -L../bison/bison ; else echo @YACC@ ; fi`
451 YFLAGS = @YFLAGS@
452 ZSTD_CFLAGS = @ZSTD_CFLAGS@
453 ZSTD_LIBS = @ZSTD_LIBS@
454 abs_builddir = @abs_builddir@
455 abs_srcdir = @abs_srcdir@
456 abs_top_builddir = @abs_top_builddir@
457 abs_top_srcdir = @abs_top_srcdir@
458 ac_ct_CC = @ac_ct_CC@
459 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
460 am__include = @am__include@
461 am__leading_dot = @am__leading_dot@
462 am__quote = @am__quote@
463 am__tar = @am__tar@
464 am__untar = @am__untar@
465 atof = @atof@
466 bindir = @bindir@
467 build = @build@
468 build_alias = @build_alias@
469 build_cpu = @build_cpu@
470 build_os = @build_os@
471 build_vendor = @build_vendor@
472 builddir = @builddir@
473 cgen_cpu_prefix = @cgen_cpu_prefix@
474 datadir = @datadir@
475 datarootdir = @datarootdir@
476 do_compare = @do_compare@
477 docdir = @docdir@
478 dvidir = @dvidir@
479 exec_prefix = @exec_prefix@
480 extra_objects = @extra_objects@
481 host = @host@
482 host_alias = @host_alias@
483 host_cpu = @host_cpu@
484 host_os = @host_os@
485 host_vendor = @host_vendor@
486 htmldir = @htmldir@
487 includedir = @includedir@
488 infodir = @infodir@
489 install_sh = @install_sh@
490 install_tooldir = @install_tooldir@
491 libdir = @libdir@
492 libexecdir = @libexecdir@
493 localedir = @localedir@
494 localstatedir = @localstatedir@
495 mandir = @mandir@
496 mkdir_p = @mkdir_p@
497 obj_format = @obj_format@
498 oldincludedir = @oldincludedir@
499 pdfdir = @pdfdir@
500 prefix = @prefix@
501 program_transform_name = @program_transform_name@
502 psdir = @psdir@
503 sbindir = @sbindir@
504 sharedstatedir = @sharedstatedir@
505 srcdir = @srcdir@
506 sysconfdir = @sysconfdir@
507 target = @target@
508 target_alias = @target_alias@
509 target_cpu = @target_cpu@
510 target_cpu_type = @target_cpu_type@
511 target_os = @target_os@
512 target_vendor = @target_vendor@
513 te_file = @te_file@
514 top_build_prefix = @top_build_prefix@
515 top_builddir = @top_builddir@
516 top_srcdir = @top_srcdir@
517 zlibdir = @zlibdir@
518 zlibinc = @zlibinc@
519 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects info-in-builddir no-texinfo.tex
520 ACLOCAL_AMFLAGS = -I .. -I ../config -I ../bfd
521 MAINTAINERCLEANFILES = doc/asconfig.texi doc/as.info
522 SUBDIRS = po
523 tooldir = $(exec_prefix)/$(target_alias)
524
525 # This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
526 # -I../zlib, unless we were configured with --with-system-zlib, in which
527 # case both are empty.
528 ZLIB = @zlibdir@ -lz
529 ZLIBINC = @zlibinc@
530
531 # Automake 1.10+ disables lex and yacc output file regeneration if
532 # maintainer mode is disabled. Avoid this.
533 am__skiplex =
534 am__skipyacc =
535 AM_CFLAGS = $(WARN_CFLAGS) $(ZLIBINC) $(ZSTD_CFLAGS)
536 TARG_CPU = @target_cpu_type@
537 TARG_CPU_C = $(srcdir)/config/tc-@target_cpu_type@.c
538 TARG_CPU_O = config/tc-@target_cpu_type@.@OBJEXT@
539 TARG_CPU_H = $(srcdir)/config/tc-@target_cpu_type@.h
540 OBJ_FORMAT_C = $(srcdir)/config/obj-@obj_format@.c
541 OBJ_FORMAT_O = config/obj-@obj_format@.@OBJEXT@
542 OBJ_FORMAT_H = $(srcdir)/config/obj-@obj_format@.h
543 TARG_ENV_H = $(srcdir)/config/te-@te_file@.h
544 ATOF_TARG_C = $(srcdir)/config/atof-@atof@.c
545 ATOF_TARG_O = config/atof-@atof@.@OBJEXT@
546
547 # use @target_cpu_type@ for refering to configured target name
548 IT_HDRS = itbl-parse.h $(srcdir)/itbl-ops.h
549 IT_SRCS = itbl-parse.c itbl-lex-wrapper.c $(srcdir)/itbl-ops.c
550 IT_DEPS = $(srcdir)/itbl-parse.y $(srcdir)/itbl-lex.l $(srcdir)/config/itbl-@target_cpu_type@.h
551 IT_OBJS = itbl-parse.@OBJEXT@ itbl-lex.@OBJEXT@ itbl-ops.@OBJEXT@
552
553 # Regular source files.
554 GAS_CFILES = \
555 app.c \
556 as.c \
557 atof-generic.c \
558 compress-debug.c \
559 cond.c \
560 depend.c \
561 dwarf2dbg.c \
562 dw2gencfi.c \
563 ecoff.c \
564 ehopt.c \
565 expr.c \
566 flonum-copy.c \
567 flonum-konst.c \
568 flonum-mult.c \
569 frags.c \
570 gen-sframe.c \
571 hash.c \
572 input-file.c \
573 input-scrub.c \
574 listing.c \
575 literal.c \
576 macro.c \
577 messages.c \
578 output-file.c \
579 read.c \
580 remap.c \
581 sb.c \
582 sframe-opt.c \
583 stabs.c \
584 subsegs.c \
585 symbols.c \
586 write.c
587
588 CFILES = $(GAS_CFILES) itbl-ops.c cgen.c
589 HFILES = \
590 as.h \
591 asintl.h \
592 bignum.h \
593 bit_fix.h \
594 cgen.h \
595 compress-debug.h \
596 dwarf2dbg.h \
597 dw2gencfi.h \
598 ecoff.h \
599 emul-target.h \
600 emul.h \
601 expr.h \
602 flonum.h \
603 frags.h \
604 gen-sframe.h \
605 hash.h \
606 input-file.h \
607 itbl-lex.h \
608 itbl-ops.h \
609 listing.h \
610 macro.h \
611 obj.h \
612 output-file.h \
613 read.h \
614 sb.h \
615 subsegs.h \
616 symbols.h \
617 tc.h \
618 write.h
619
620
621 # CPU files in config.
622 TARGET_CPU_CFILES = \
623 config/tc-aarch64.c \
624 config/tc-alpha.c \
625 config/tc-arc.c \
626 config/tc-arm.c \
627 config/tc-avr.c \
628 config/tc-bfin.c \
629 config/tc-bpf.c \
630 config/tc-cr16.c \
631 config/tc-cris.c \
632 config/tc-crx.c \
633 config/tc-csky.c \
634 config/tc-d10v.c \
635 config/tc-d30v.c \
636 config/tc-dlx.c \
637 config/tc-epiphany.c \
638 config/tc-fr30.c \
639 config/tc-frv.c \
640 config/tc-ft32.c \
641 config/tc-h8300.c \
642 config/tc-hppa.c \
643 config/tc-ia64.c \
644 config/tc-i386.c \
645 config/tc-ip2k.c \
646 config/tc-iq2000.c \
647 config/tc-lm32.c \
648 config/tc-loongarch.c \
649 config/tc-m32c.c \
650 config/tc-m32r.c \
651 config/tc-m68hc11.c \
652 config/tc-m68k.c \
653 config/tc-s12z.c \
654 config/tc-mcore.c \
655 config/tc-mep.c \
656 config/tc-metag.c \
657 config/tc-microblaze.c \
658 config/tc-mips.c \
659 config/tc-mmix.c \
660 config/tc-mn10200.c \
661 config/tc-mn10300.c \
662 config/tc-moxie.c \
663 config/tc-msp430.c \
664 config/tc-mt.c \
665 config/tc-nds32.c \
666 config/tc-nios2.c \
667 config/tc-ns32k.c \
668 config/tc-or1k.c \
669 config/tc-pdp11.c \
670 config/tc-pj.c \
671 config/tc-ppc.c \
672 config/tc-pru.c \
673 config/tc-riscv.c \
674 config/tc-rl78.c \
675 config/tc-rx.c \
676 config/tc-s390.c \
677 config/tc-score.c \
678 config/tc-sh.c \
679 config/tc-sparc.c \
680 config/tc-spu.c \
681 config/tc-tic30.c \
682 config/tc-tic4x.c \
683 config/tc-tic54x.c \
684 config/tc-tic6x.c \
685 config/tc-tilegx.c \
686 config/tc-tilepro.c \
687 config/tc-v850.c \
688 config/tc-vax.c \
689 config/tc-visium.c \
690 config/tc-wasm32.c \
691 config/tc-xstormy16.c \
692 config/tc-xgate.c \
693 config/tc-xtensa.c \
694 config/tc-z80.c \
695 config/tc-z8k.c
696
697 TARGET_CPU_HFILES = \
698 config/tc-aarch64.h \
699 config/tc-alpha.h \
700 config/tc-arc.h \
701 config/tc-arm.h \
702 config/tc-avr.h \
703 config/tc-bfin.h \
704 config/tc-bpf.h \
705 config/tc-cr16.h \
706 config/tc-cris.h \
707 config/tc-crx.h \
708 config/tc-csky.h \
709 config/tc-d10v.h \
710 config/tc-d30v.h \
711 config/tc-dlx.h \
712 config/tc-epiphany.h \
713 config/tc-fr30.h \
714 config/tc-frv.h \
715 config/tc-ft32.h \
716 config/tc-h8300.h \
717 config/tc-hppa.h \
718 config/tc-ia64.h \
719 config/tc-i386.h \
720 config/tc-ip2k.h \
721 config/tc-iq2000.h \
722 config/tc-lm32.h \
723 config/tc-m32c.h \
724 config/tc-m32r.h \
725 config/tc-m68hc11.h \
726 config/tc-m68k.h \
727 config/tc-s12z.h \
728 config/tc-mcore.h \
729 config/tc-mep.h \
730 config/tc-metag.h \
731 config/tc-microblaze.h \
732 config/tc-mips.h \
733 config/tc-mmix.h \
734 config/tc-mn10200.h \
735 config/tc-mn10300.h \
736 config/tc-msp430.h \
737 config/tc-mt.h \
738 config/tc-nds32.h \
739 config/tc-nios2.h \
740 config/tc-ns32k.h \
741 config/tc-or1k.h \
742 config/tc-pdp11.h \
743 config/tc-pj.h \
744 config/tc-ppc.h \
745 config/tc-pru.h \
746 config/tc-riscv.h \
747 config/tc-rl78.h \
748 config/tc-rx.h \
749 config/tc-s390.h \
750 config/tc-score.h \
751 config/tc-sh.h \
752 config/tc-sparc.h \
753 config/tc-spu.h \
754 config/tc-tic30.h \
755 config/tc-tic4x.h \
756 config/tc-tic54x.h \
757 config/tc-tic6x.h \
758 config/tc-tilegx.h \
759 config/tc-tilepro.h \
760 config/tc-v850.h \
761 config/tc-vax.h \
762 config/tc-visium.h \
763 config/tc-wasm32.h \
764 config/tc-xstormy16.h \
765 config/tc-xgate.h \
766 config/tc-xtensa.h \
767 config/tc-z80.h \
768 config/tc-z8k.h
769
770 TARGET_EXTRA_FILES = \
771 config/bfin-lex-wrapper.c \
772 config/xtensa-relax.c \
773 config/xtensa-relax.h
774
775
776 # OBJ files in config
777 OBJ_FORMAT_CFILES = \
778 config/obj-aout.c \
779 config/obj-coff.c \
780 config/obj-ecoff.c \
781 config/obj-elf.c \
782 config/obj-evax.c \
783 config/obj-fdpicelf.c \
784 config/obj-macho.c \
785 config/obj-multi.c \
786 config/obj-som.c
787
788 OBJ_FORMAT_HFILES = \
789 config/obj-aout.h \
790 config/obj-coff.h \
791 config/obj-ecoff.h \
792 config/obj-elf.h \
793 config/obj-evax.h \
794 config/obj-fdpicelf.h \
795 config/obj-macho.h \
796 config/obj-multi.h \
797 config/obj-som.h
798
799
800 # Emulation header files in config
801 TARG_ENV_HFILES = \
802 config/te-386bsd.h \
803 config/te-aix5.h \
804 config/te-armeabi.h \
805 config/te-armfbsdeabi.h \
806 config/te-armfbsdvfp.h \
807 config/te-armlinuxeabi.h \
808 config/te-csky_abiv1.h \
809 config/te-csky_abiv1_linux.h \
810 config/te-csky_abiv2.h \
811 config/te-csky_abiv2_linux.h \
812 config/te-freebsd.h \
813 config/te-generic.h \
814 config/te-gnu.h \
815 config/te-go32.h \
816 config/te-hppa.h \
817 config/te-hppa64.h \
818 config/te-hppalinux64.h \
819 config/te-ia64aix.h \
820 config/te-interix.h \
821 config/te-lynx.h \
822 config/te-macos.h \
823 config/te-nbsd.h \
824 config/te-nbsd532.h \
825 config/te-pc532mach.h \
826 config/te-pe.h \
827 config/te-solaris.h \
828 config/te-svr4.h \
829 config/te-tmips.h \
830 config/te-vxworks.h \
831 config/te-wince-pe.h
832
833 TARG_ENV_CFILES = \
834 config/te-vms.c
835
836
837 # Multi files in config
838 MULTI_CFILES = \
839 config/e-crisaout.c \
840 config/e-criself.c \
841 config/e-i386aout.c \
842 config/e-i386coff.c \
843 config/e-i386elf.c \
844 config/e-mipself.c
845
846 CONFIG_ATOF_CFILES = \
847 config/atof-ieee.c \
848 config/atof-vax.c
849
850 POTFILES = $(MULTI_CFILES) $(CONFIG_ATOF_CFILES) \
851 $(TARG_ENV_HFILES) $(TARG_ENV_CFILES) $(OBJ_FORMAT_HFILES) \
852 $(OBJ_FORMAT_CFILES) $(TARGET_CPU_HFILES) $(TARGET_CPU_CFILES) \
853 $(TARGET_EXTRA_FILES) $(HFILES) $(CFILES)
854
855 noinst_SCRIPTS = $(GDBINIT)
856 EXTRA_SCRIPTS = .gdbinit
857 EXTRA_DIST = config/m68k-parse.c itbl-parse.c itbl-parse.h itbl-lex.c \
858 config/bfin-parse.c config/bfin-parse.h config/bfin-lex.c \
859 config/rl78-parse.c config/rl78-parse.h \
860 config/rx-parse.c config/rx-parse.h \
861 config/loongarch-parse.c config/loongarch-parse.h config/loongarch-lex.c
862
863 DISTCLEANFILES = targ-cpu.h obj-format.h targ-env.h itbl-cpu.h cgen-desc.h
864
865 # Now figure out from those variables how to compile and link.
866 BASEDIR = $(srcdir)/..
867 BFDDIR = $(BASEDIR)/bfd
868 INCDIR = $(BASEDIR)/include
869
870 # This is the variable actually used when we compile.
871 # Specify the directories to be searched for header files.
872 # Both . and srcdir are used, in that order,
873 # so that tm.h and config.h will be found in the compilation
874 # subdirectory rather than in the source directory.
875 AM_CPPFLAGS = -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
876 -I$(INCDIR) -I$(srcdir)/.. -I$(BFDDIR) @INCINTL@ @LARGEFILE_CPPFLAGS@ \
877 -DLOCALEDIR="\"$(datadir)/locale\""
878
879
880 # How to link with both our special library facilities
881 # and the system's installed libraries.
882 GASLIBS = @OPCODES_LIB@ ../bfd/libbfd.la ../libiberty/libiberty.a
883
884 # Files to be copied away after each stage in building.
885 STAGESTUFF = *.@OBJEXT@ $(noinst_PROGRAMS)
886 as_new_SOURCES = $(GAS_CFILES)
887 as_new_LDADD = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
888 $(extra_objects) $(GASLIBS) $(LIBINTL) $(LIBM) $(ZLIB) $(ZSTD_LIBS)
889
890 as_new_DEPENDENCIES = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
891 $(extra_objects) $(GASLIBS) $(LIBINTL_DEP)
892
893
894 # The LoongArch lexical analyzer and parser.
895 EXTRA_as_new_SOURCES = $(CFILES) $(HFILES) $(TARGET_CPU_CFILES) \
896 $(TARGET_CPU_HFILES) $(TARGET_EXTRA_FILES) $(TARG_ENV_CFILES) \
897 $(OBJ_FORMAT_CFILES) $(OBJ_FORMAT_HFILES) \
898 $(CONFIG_ATOF_CFILES) $(MULTI_CFILES) config/m68k-parse.y \
899 config/bfin-parse.y config/bfin-lex.l config/rl78-parse.y \
900 config/rx-parse.y config/loongarch-parse.y \
901 config/loongarch-lex.l
902 EXPECT = expect
903 RUNTEST = runtest
904 RUNTESTFLAGS =
905 itbl_test_SOURCES = itbl-parse.y itbl-lex.l
906 itbl_test_LDADD = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ $(GASLIBS) @LEXLIB@
907
908 # CGEN interface.
909 CGEN_CPU_PREFIX = @cgen_cpu_prefix@
910
911 # Remake the info files.
912 MOSTLYCLEANFILES = $(STAGESTUFF) core \
913 testsuite/*.@OBJEXT@ testsuite/*.out testsuite/gas.log testsuite/gas.sum \
914 testsuite/site.exp site.bak site.exp development.exp stage stage1 stage2
915
916 against = stage2
917
918 # Reconfigure if configure.tgt changes.
919 # development.sh is used to determine -Werror default.
920 CONFIG_STATUS_DEPENDENCIES = $(srcdir)/configure.tgt $(BFDDIR)/development.sh
921 EXTRA_DEJAGNU_SITE_CONFIG = development.exp
922
923 # What version of the manual you want; "all" includes everything
924 CONFIG = all
925
926 # Options to extract the man page from as.texi
927 MANCONF = -Dman
928 TEXI2POD = perl $(BASEDIR)/etc/texi2pod.pl $(AM_MAKEINFOFLAGS)
929 POD2MAN = pod2man --center="GNU Development Tools" \
930 --release="binutils-$(VERSION)" --section=1
931
932 man_MANS = doc/as.1
933 info_TEXINFOS = doc/as.texi
934 doc_as_TEXINFOS = doc/asconfig.texi $(CPU_DOCS)
935 AM_MAKEINFOFLAGS = -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
936 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc \
937 --no-split
938
939 TEXI2DVI = texi2dvi -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
940 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc
941
942 CPU_DOCS = \
943 doc/c-aarch64.texi \
944 doc/c-alpha.texi \
945 doc/c-arc.texi \
946 doc/c-arm.texi \
947 doc/c-avr.texi \
948 doc/c-bfin.texi \
949 doc/c-bpf.texi \
950 doc/c-cr16.texi \
951 doc/c-cris.texi \
952 doc/c-csky.texi \
953 doc/c-d10v.texi \
954 doc/c-epiphany.texi \
955 doc/c-h8300.texi \
956 doc/c-hppa.texi \
957 doc/c-i386.texi \
958 doc/c-ip2k.texi \
959 doc/c-lm32.texi \
960 doc/c-m32c.texi \
961 doc/c-m32r.texi \
962 doc/c-m68hc11.texi \
963 doc/c-m68k.texi \
964 doc/c-s12z.texi \
965 doc/c-metag.texi \
966 doc/c-microblaze.texi \
967 doc/c-mips.texi \
968 doc/c-mmix.texi \
969 doc/c-mt.texi \
970 doc/c-msp430.texi \
971 doc/c-nios2.texi \
972 doc/c-nds32.texi \
973 doc/c-ns32k.texi \
974 doc/c-or1k.texi \
975 doc/c-pdp11.texi \
976 doc/c-pj.texi \
977 doc/c-ppc.texi \
978 doc/c-pru.texi \
979 doc/c-rl78.texi \
980 doc/c-riscv.texi \
981 doc/c-rx.texi \
982 doc/c-s390.texi \
983 doc/c-score.texi \
984 doc/c-sh.texi \
985 doc/c-sparc.texi \
986 doc/c-tic54x.texi \
987 doc/c-tic6x.texi \
988 doc/c-tilegx.texi \
989 doc/c-tilepro.texi \
990 doc/c-v850.texi \
991 doc/c-vax.texi \
992 doc/c-visium.texi \
993 doc/c-xgate.texi \
994 doc/c-xstormy16.texi \
995 doc/c-xtensa.texi \
996 doc/c-z80.texi \
997 doc/c-z8k.texi
998
999
1000 # This one isn't ready for prime time yet. Not even a little bit.
1001 noinst_TEXINFOS = doc/internals.texi
1002 all: config.h
1003 $(MAKE) $(AM_MAKEFLAGS) all-recursive
1004
1005 .SUFFIXES:
1006 .SUFFIXES: .c .dvi .l .lo .o .obj .ps .y
1007 am--refresh: Makefile
1008 @:
1009 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/doc/local.mk $(am__configure_deps)
1010 @for dep in $?; do \
1011 case '$(am__configure_deps)' in \
1012 *$$dep*) \
1013 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
1014 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
1015 && exit 0; \
1016 exit 1;; \
1017 esac; \
1018 done; \
1019 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
1020 $(am__cd) $(top_srcdir) && \
1021 $(AUTOMAKE) --foreign Makefile
1022 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
1023 @case '$?' in \
1024 *config.status*) \
1025 echo ' $(SHELL) ./config.status'; \
1026 $(SHELL) ./config.status;; \
1027 *) \
1028 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
1029 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
1030 esac;
1031 $(srcdir)/doc/local.mk $(am__empty):
1032
1033 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1034 $(SHELL) ./config.status --recheck
1035
1036 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1037 $(am__cd) $(srcdir) && $(AUTOCONF)
1038 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
1039 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
1040 $(am__aclocal_m4_deps):
1041
1042 config.h: stamp-h1
1043 @test -f $@ || rm -f stamp-h1
1044 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
1045
1046 stamp-h1: $(srcdir)/config.in $(top_builddir)/config.status
1047 @rm -f stamp-h1
1048 cd $(top_builddir) && $(SHELL) ./config.status config.h
1049 $(srcdir)/config.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1050 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
1051 rm -f stamp-h1
1052 touch $@
1053
1054 distclean-hdr:
1055 -rm -f config.h stamp-h1
1056 gdb.ini: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1057 cd $(top_builddir) && $(SHELL) ./config.status $@
1058 .gdbinit: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1059 cd $(top_builddir) && $(SHELL) ./config.status $@
1060 po/Makefile.in: $(top_builddir)/config.status $(top_srcdir)/po/Make-in
1061 cd $(top_builddir) && $(SHELL) ./config.status $@
1062
1063 clean-noinstPROGRAMS:
1064 @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
1065 echo " rm -f" $$list; \
1066 rm -f $$list || exit $$?; \
1067 test -n "$(EXEEXT)" || exit 0; \
1068 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1069 echo " rm -f" $$list; \
1070 rm -f $$list
1071 config/$(am__dirstamp):
1072 @$(MKDIR_P) config
1073 @: > config/$(am__dirstamp)
1074 config/$(DEPDIR)/$(am__dirstamp):
1075 @$(MKDIR_P) config/$(DEPDIR)
1076 @: > config/$(DEPDIR)/$(am__dirstamp)
1077 config/tc-aarch64.$(OBJEXT): config/$(am__dirstamp) \
1078 config/$(DEPDIR)/$(am__dirstamp)
1079 config/tc-alpha.$(OBJEXT): config/$(am__dirstamp) \
1080 config/$(DEPDIR)/$(am__dirstamp)
1081 config/tc-arc.$(OBJEXT): config/$(am__dirstamp) \
1082 config/$(DEPDIR)/$(am__dirstamp)
1083 config/tc-arm.$(OBJEXT): config/$(am__dirstamp) \
1084 config/$(DEPDIR)/$(am__dirstamp)
1085 config/tc-avr.$(OBJEXT): config/$(am__dirstamp) \
1086 config/$(DEPDIR)/$(am__dirstamp)
1087 config/tc-bfin.$(OBJEXT): config/$(am__dirstamp) \
1088 config/$(DEPDIR)/$(am__dirstamp)
1089 config/tc-bpf.$(OBJEXT): config/$(am__dirstamp) \
1090 config/$(DEPDIR)/$(am__dirstamp)
1091 config/tc-cr16.$(OBJEXT): config/$(am__dirstamp) \
1092 config/$(DEPDIR)/$(am__dirstamp)
1093 config/tc-cris.$(OBJEXT): config/$(am__dirstamp) \
1094 config/$(DEPDIR)/$(am__dirstamp)
1095 config/tc-crx.$(OBJEXT): config/$(am__dirstamp) \
1096 config/$(DEPDIR)/$(am__dirstamp)
1097 config/tc-csky.$(OBJEXT): config/$(am__dirstamp) \
1098 config/$(DEPDIR)/$(am__dirstamp)
1099 config/tc-d10v.$(OBJEXT): config/$(am__dirstamp) \
1100 config/$(DEPDIR)/$(am__dirstamp)
1101 config/tc-d30v.$(OBJEXT): config/$(am__dirstamp) \
1102 config/$(DEPDIR)/$(am__dirstamp)
1103 config/tc-dlx.$(OBJEXT): config/$(am__dirstamp) \
1104 config/$(DEPDIR)/$(am__dirstamp)
1105 config/tc-epiphany.$(OBJEXT): config/$(am__dirstamp) \
1106 config/$(DEPDIR)/$(am__dirstamp)
1107 config/tc-fr30.$(OBJEXT): config/$(am__dirstamp) \
1108 config/$(DEPDIR)/$(am__dirstamp)
1109 config/tc-frv.$(OBJEXT): config/$(am__dirstamp) \
1110 config/$(DEPDIR)/$(am__dirstamp)
1111 config/tc-ft32.$(OBJEXT): config/$(am__dirstamp) \
1112 config/$(DEPDIR)/$(am__dirstamp)
1113 config/tc-h8300.$(OBJEXT): config/$(am__dirstamp) \
1114 config/$(DEPDIR)/$(am__dirstamp)
1115 config/tc-hppa.$(OBJEXT): config/$(am__dirstamp) \
1116 config/$(DEPDIR)/$(am__dirstamp)
1117 config/tc-ia64.$(OBJEXT): config/$(am__dirstamp) \
1118 config/$(DEPDIR)/$(am__dirstamp)
1119 config/tc-i386.$(OBJEXT): config/$(am__dirstamp) \
1120 config/$(DEPDIR)/$(am__dirstamp)
1121 config/tc-ip2k.$(OBJEXT): config/$(am__dirstamp) \
1122 config/$(DEPDIR)/$(am__dirstamp)
1123 config/tc-iq2000.$(OBJEXT): config/$(am__dirstamp) \
1124 config/$(DEPDIR)/$(am__dirstamp)
1125 config/tc-lm32.$(OBJEXT): config/$(am__dirstamp) \
1126 config/$(DEPDIR)/$(am__dirstamp)
1127 config/tc-loongarch.$(OBJEXT): config/$(am__dirstamp) \
1128 config/$(DEPDIR)/$(am__dirstamp)
1129 config/tc-m32c.$(OBJEXT): config/$(am__dirstamp) \
1130 config/$(DEPDIR)/$(am__dirstamp)
1131 config/tc-m32r.$(OBJEXT): config/$(am__dirstamp) \
1132 config/$(DEPDIR)/$(am__dirstamp)
1133 config/tc-m68hc11.$(OBJEXT): config/$(am__dirstamp) \
1134 config/$(DEPDIR)/$(am__dirstamp)
1135 config/tc-m68k.$(OBJEXT): config/$(am__dirstamp) \
1136 config/$(DEPDIR)/$(am__dirstamp)
1137 config/tc-s12z.$(OBJEXT): config/$(am__dirstamp) \
1138 config/$(DEPDIR)/$(am__dirstamp)
1139 config/tc-mcore.$(OBJEXT): config/$(am__dirstamp) \
1140 config/$(DEPDIR)/$(am__dirstamp)
1141 config/tc-mep.$(OBJEXT): config/$(am__dirstamp) \
1142 config/$(DEPDIR)/$(am__dirstamp)
1143 config/tc-metag.$(OBJEXT): config/$(am__dirstamp) \
1144 config/$(DEPDIR)/$(am__dirstamp)
1145 config/tc-microblaze.$(OBJEXT): config/$(am__dirstamp) \
1146 config/$(DEPDIR)/$(am__dirstamp)
1147 config/tc-mips.$(OBJEXT): config/$(am__dirstamp) \
1148 config/$(DEPDIR)/$(am__dirstamp)
1149 config/tc-mmix.$(OBJEXT): config/$(am__dirstamp) \
1150 config/$(DEPDIR)/$(am__dirstamp)
1151 config/tc-mn10200.$(OBJEXT): config/$(am__dirstamp) \
1152 config/$(DEPDIR)/$(am__dirstamp)
1153 config/tc-mn10300.$(OBJEXT): config/$(am__dirstamp) \
1154 config/$(DEPDIR)/$(am__dirstamp)
1155 config/tc-moxie.$(OBJEXT): config/$(am__dirstamp) \
1156 config/$(DEPDIR)/$(am__dirstamp)
1157 config/tc-msp430.$(OBJEXT): config/$(am__dirstamp) \
1158 config/$(DEPDIR)/$(am__dirstamp)
1159 config/tc-mt.$(OBJEXT): config/$(am__dirstamp) \
1160 config/$(DEPDIR)/$(am__dirstamp)
1161 config/tc-nds32.$(OBJEXT): config/$(am__dirstamp) \
1162 config/$(DEPDIR)/$(am__dirstamp)
1163 config/tc-nios2.$(OBJEXT): config/$(am__dirstamp) \
1164 config/$(DEPDIR)/$(am__dirstamp)
1165 config/tc-ns32k.$(OBJEXT): config/$(am__dirstamp) \
1166 config/$(DEPDIR)/$(am__dirstamp)
1167 config/tc-or1k.$(OBJEXT): config/$(am__dirstamp) \
1168 config/$(DEPDIR)/$(am__dirstamp)
1169 config/tc-pdp11.$(OBJEXT): config/$(am__dirstamp) \
1170 config/$(DEPDIR)/$(am__dirstamp)
1171 config/tc-pj.$(OBJEXT): config/$(am__dirstamp) \
1172 config/$(DEPDIR)/$(am__dirstamp)
1173 config/tc-ppc.$(OBJEXT): config/$(am__dirstamp) \
1174 config/$(DEPDIR)/$(am__dirstamp)
1175 config/tc-pru.$(OBJEXT): config/$(am__dirstamp) \
1176 config/$(DEPDIR)/$(am__dirstamp)
1177 config/tc-riscv.$(OBJEXT): config/$(am__dirstamp) \
1178 config/$(DEPDIR)/$(am__dirstamp)
1179 config/tc-rl78.$(OBJEXT): config/$(am__dirstamp) \
1180 config/$(DEPDIR)/$(am__dirstamp)
1181 config/tc-rx.$(OBJEXT): config/$(am__dirstamp) \
1182 config/$(DEPDIR)/$(am__dirstamp)
1183 config/tc-s390.$(OBJEXT): config/$(am__dirstamp) \
1184 config/$(DEPDIR)/$(am__dirstamp)
1185 config/tc-score.$(OBJEXT): config/$(am__dirstamp) \
1186 config/$(DEPDIR)/$(am__dirstamp)
1187 config/tc-sh.$(OBJEXT): config/$(am__dirstamp) \
1188 config/$(DEPDIR)/$(am__dirstamp)
1189 config/tc-sparc.$(OBJEXT): config/$(am__dirstamp) \
1190 config/$(DEPDIR)/$(am__dirstamp)
1191 config/tc-spu.$(OBJEXT): config/$(am__dirstamp) \
1192 config/$(DEPDIR)/$(am__dirstamp)
1193 config/tc-tic30.$(OBJEXT): config/$(am__dirstamp) \
1194 config/$(DEPDIR)/$(am__dirstamp)
1195 config/tc-tic4x.$(OBJEXT): config/$(am__dirstamp) \
1196 config/$(DEPDIR)/$(am__dirstamp)
1197 config/tc-tic54x.$(OBJEXT): config/$(am__dirstamp) \
1198 config/$(DEPDIR)/$(am__dirstamp)
1199 config/tc-tic6x.$(OBJEXT): config/$(am__dirstamp) \
1200 config/$(DEPDIR)/$(am__dirstamp)
1201 config/tc-tilegx.$(OBJEXT): config/$(am__dirstamp) \
1202 config/$(DEPDIR)/$(am__dirstamp)
1203 config/tc-tilepro.$(OBJEXT): config/$(am__dirstamp) \
1204 config/$(DEPDIR)/$(am__dirstamp)
1205 config/tc-v850.$(OBJEXT): config/$(am__dirstamp) \
1206 config/$(DEPDIR)/$(am__dirstamp)
1207 config/tc-vax.$(OBJEXT): config/$(am__dirstamp) \
1208 config/$(DEPDIR)/$(am__dirstamp)
1209 config/tc-visium.$(OBJEXT): config/$(am__dirstamp) \
1210 config/$(DEPDIR)/$(am__dirstamp)
1211 config/tc-wasm32.$(OBJEXT): config/$(am__dirstamp) \
1212 config/$(DEPDIR)/$(am__dirstamp)
1213 config/tc-xstormy16.$(OBJEXT): config/$(am__dirstamp) \
1214 config/$(DEPDIR)/$(am__dirstamp)
1215 config/tc-xgate.$(OBJEXT): config/$(am__dirstamp) \
1216 config/$(DEPDIR)/$(am__dirstamp)
1217 config/tc-xtensa.$(OBJEXT): config/$(am__dirstamp) \
1218 config/$(DEPDIR)/$(am__dirstamp)
1219 config/tc-z80.$(OBJEXT): config/$(am__dirstamp) \
1220 config/$(DEPDIR)/$(am__dirstamp)
1221 config/tc-z8k.$(OBJEXT): config/$(am__dirstamp) \
1222 config/$(DEPDIR)/$(am__dirstamp)
1223 config/bfin-lex-wrapper.$(OBJEXT): config/$(am__dirstamp) \
1224 config/$(DEPDIR)/$(am__dirstamp)
1225 config/xtensa-relax.$(OBJEXT): config/$(am__dirstamp) \
1226 config/$(DEPDIR)/$(am__dirstamp)
1227 config/te-vms.$(OBJEXT): config/$(am__dirstamp) \
1228 config/$(DEPDIR)/$(am__dirstamp)
1229 config/obj-aout.$(OBJEXT): config/$(am__dirstamp) \
1230 config/$(DEPDIR)/$(am__dirstamp)
1231 config/obj-coff.$(OBJEXT): config/$(am__dirstamp) \
1232 config/$(DEPDIR)/$(am__dirstamp)
1233 config/obj-ecoff.$(OBJEXT): config/$(am__dirstamp) \
1234 config/$(DEPDIR)/$(am__dirstamp)
1235 config/obj-elf.$(OBJEXT): config/$(am__dirstamp) \
1236 config/$(DEPDIR)/$(am__dirstamp)
1237 config/obj-evax.$(OBJEXT): config/$(am__dirstamp) \
1238 config/$(DEPDIR)/$(am__dirstamp)
1239 config/obj-fdpicelf.$(OBJEXT): config/$(am__dirstamp) \
1240 config/$(DEPDIR)/$(am__dirstamp)
1241 config/obj-macho.$(OBJEXT): config/$(am__dirstamp) \
1242 config/$(DEPDIR)/$(am__dirstamp)
1243 config/obj-multi.$(OBJEXT): config/$(am__dirstamp) \
1244 config/$(DEPDIR)/$(am__dirstamp)
1245 config/obj-som.$(OBJEXT): config/$(am__dirstamp) \
1246 config/$(DEPDIR)/$(am__dirstamp)
1247 config/atof-ieee.$(OBJEXT): config/$(am__dirstamp) \
1248 config/$(DEPDIR)/$(am__dirstamp)
1249 config/atof-vax.$(OBJEXT): config/$(am__dirstamp) \
1250 config/$(DEPDIR)/$(am__dirstamp)
1251 config/e-crisaout.$(OBJEXT): config/$(am__dirstamp) \
1252 config/$(DEPDIR)/$(am__dirstamp)
1253 config/e-criself.$(OBJEXT): config/$(am__dirstamp) \
1254 config/$(DEPDIR)/$(am__dirstamp)
1255 config/e-i386aout.$(OBJEXT): config/$(am__dirstamp) \
1256 config/$(DEPDIR)/$(am__dirstamp)
1257 config/e-i386coff.$(OBJEXT): config/$(am__dirstamp) \
1258 config/$(DEPDIR)/$(am__dirstamp)
1259 config/e-i386elf.$(OBJEXT): config/$(am__dirstamp) \
1260 config/$(DEPDIR)/$(am__dirstamp)
1261 config/e-mipself.$(OBJEXT): config/$(am__dirstamp) \
1262 config/$(DEPDIR)/$(am__dirstamp)
1263 config/m68k-parse.$(OBJEXT): config/$(am__dirstamp) \
1264 config/$(DEPDIR)/$(am__dirstamp)
1265 config/bfin-parse.$(OBJEXT): config/$(am__dirstamp) \
1266 config/$(DEPDIR)/$(am__dirstamp)
1267 config/bfin-lex.$(OBJEXT): config/$(am__dirstamp) \
1268 config/$(DEPDIR)/$(am__dirstamp)
1269 config/rl78-parse.$(OBJEXT): config/$(am__dirstamp) \
1270 config/$(DEPDIR)/$(am__dirstamp)
1271 config/rx-parse.$(OBJEXT): config/$(am__dirstamp) \
1272 config/$(DEPDIR)/$(am__dirstamp)
1273 config/loongarch-parse.$(OBJEXT): config/$(am__dirstamp) \
1274 config/$(DEPDIR)/$(am__dirstamp)
1275 config/loongarch-lex.$(OBJEXT): config/$(am__dirstamp) \
1276 config/$(DEPDIR)/$(am__dirstamp)
1277
1278 as-new$(EXEEXT): $(as_new_OBJECTS) $(as_new_DEPENDENCIES) $(EXTRA_as_new_DEPENDENCIES)
1279 @rm -f as-new$(EXEEXT)
1280 $(AM_V_CCLD)$(LINK) $(as_new_OBJECTS) $(as_new_LDADD) $(LIBS)
1281
1282 itbl-test$(EXEEXT): $(itbl_test_OBJECTS) $(itbl_test_DEPENDENCIES) $(EXTRA_itbl_test_DEPENDENCIES)
1283 @rm -f itbl-test$(EXEEXT)
1284 $(AM_V_CCLD)$(LINK) $(itbl_test_OBJECTS) $(itbl_test_LDADD) $(LIBS)
1285
1286 mostlyclean-compile:
1287 -rm -f *.$(OBJEXT)
1288 -rm -f config/*.$(OBJEXT)
1289
1290 distclean-compile:
1291 -rm -f *.tab.c
1292
1293 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/app.Po@am__quote@
1294 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/as.Po@am__quote@
1295 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atof-generic.Po@am__quote@
1296 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cgen.Po@am__quote@
1297 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress-debug.Po@am__quote@
1298 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cond.Po@am__quote@
1299 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/depend.Po@am__quote@
1300 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dw2gencfi.Po@am__quote@
1301 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dwarf2dbg.Po@am__quote@
1302 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ecoff.Po@am__quote@
1303 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ehopt.Po@am__quote@
1304 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expr.Po@am__quote@
1305 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-copy.Po@am__quote@
1306 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-konst.Po@am__quote@
1307 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-mult.Po@am__quote@
1308 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/frags.Po@am__quote@
1309 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gen-sframe.Po@am__quote@
1310 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@
1311 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-file.Po@am__quote@
1312 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-scrub.Po@am__quote@
1313 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-lex.Po@am__quote@
1314 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-ops.Po@am__quote@
1315 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-parse.Po@am__quote@
1316 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/listing.Po@am__quote@
1317 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/literal.Po@am__quote@
1318 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/macro.Po@am__quote@
1319 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Po@am__quote@
1320 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output-file.Po@am__quote@
1321 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
1322 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remap.Po@am__quote@
1323 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sb.Po@am__quote@
1324 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sframe-opt.Po@am__quote@
1325 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stabs.Po@am__quote@
1326 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/subsegs.Po@am__quote@
1327 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/symbols.Po@am__quote@
1328 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write.Po@am__quote@
1329 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-ieee.Po@am__quote@
1330 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-vax.Po@am__quote@
1331 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex-wrapper.Po@am__quote@
1332 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex.Po@am__quote@
1333 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-parse.Po@am__quote@
1334 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-crisaout.Po@am__quote@
1335 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-criself.Po@am__quote@
1336 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386aout.Po@am__quote@
1337 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386coff.Po@am__quote@
1338 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386elf.Po@am__quote@
1339 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-mipself.Po@am__quote@
1340 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-lex.Po@am__quote@
1341 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-parse.Po@am__quote@
1342 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/m68k-parse.Po@am__quote@
1343 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-aout.Po@am__quote@
1344 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-coff.Po@am__quote@
1345 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-ecoff.Po@am__quote@
1346 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-elf.Po@am__quote@
1347 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-evax.Po@am__quote@
1348 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-fdpicelf.Po@am__quote@
1349 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-macho.Po@am__quote@
1350 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-multi.Po@am__quote@
1351 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-som.Po@am__quote@
1352 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rl78-parse.Po@am__quote@
1353 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rx-parse.Po@am__quote@
1354 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-aarch64.Po@am__quote@
1355 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-alpha.Po@am__quote@
1356 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arc.Po@am__quote@
1357 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arm.Po@am__quote@
1358 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-avr.Po@am__quote@
1359 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bfin.Po@am__quote@
1360 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bpf.Po@am__quote@
1361 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cr16.Po@am__quote@
1362 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cris.Po@am__quote@
1363 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-crx.Po@am__quote@
1364 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-csky.Po@am__quote@
1365 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d10v.Po@am__quote@
1366 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d30v.Po@am__quote@
1367 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-dlx.Po@am__quote@
1368 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-epiphany.Po@am__quote@
1369 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-fr30.Po@am__quote@
1370 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-frv.Po@am__quote@
1371 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ft32.Po@am__quote@
1372 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-h8300.Po@am__quote@
1373 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-hppa.Po@am__quote@
1374 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-i386.Po@am__quote@
1375 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ia64.Po@am__quote@
1376 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ip2k.Po@am__quote@
1377 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-iq2000.Po@am__quote@
1378 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-lm32.Po@am__quote@
1379 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-loongarch.Po@am__quote@
1380 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32c.Po@am__quote@
1381 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32r.Po@am__quote@
1382 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68hc11.Po@am__quote@
1383 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68k.Po@am__quote@
1384 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mcore.Po@am__quote@
1385 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mep.Po@am__quote@
1386 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-metag.Po@am__quote@
1387 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-microblaze.Po@am__quote@
1388 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mips.Po@am__quote@
1389 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mmix.Po@am__quote@
1390 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10200.Po@am__quote@
1391 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10300.Po@am__quote@
1392 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-moxie.Po@am__quote@
1393 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-msp430.Po@am__quote@
1394 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mt.Po@am__quote@
1395 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nds32.Po@am__quote@
1396 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nios2.Po@am__quote@
1397 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ns32k.Po@am__quote@
1398 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-or1k.Po@am__quote@
1399 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pdp11.Po@am__quote@
1400 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pj.Po@am__quote@
1401 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ppc.Po@am__quote@
1402 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pru.Po@am__quote@
1403 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-riscv.Po@am__quote@
1404 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rl78.Po@am__quote@
1405 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rx.Po@am__quote@
1406 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s12z.Po@am__quote@
1407 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s390.Po@am__quote@
1408 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-score.Po@am__quote@
1409 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sh.Po@am__quote@
1410 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sparc.Po@am__quote@
1411 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-spu.Po@am__quote@
1412 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic30.Po@am__quote@
1413 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic4x.Po@am__quote@
1414 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic54x.Po@am__quote@
1415 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic6x.Po@am__quote@
1416 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilegx.Po@am__quote@
1417 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilepro.Po@am__quote@
1418 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-v850.Po@am__quote@
1419 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-vax.Po@am__quote@
1420 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-visium.Po@am__quote@
1421 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-wasm32.Po@am__quote@
1422 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xgate.Po@am__quote@
1423 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xstormy16.Po@am__quote@
1424 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xtensa.Po@am__quote@
1425 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z80.Po@am__quote@
1426 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z8k.Po@am__quote@
1427 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/te-vms.Po@am__quote@
1428 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/xtensa-relax.Po@am__quote@
1429
1430 .c.o:
1431 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1432 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1433 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1434 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1435 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1436 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1437
1438 .c.obj:
1439 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1440 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1441 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1442 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1443 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1444 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1445
1446 .c.lo:
1447 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1448 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1449 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1450 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1451 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1452 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1453
1454 .l.c:
1455 $(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
1456
1457 .y.c:
1458 $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
1459
1460 mostlyclean-libtool:
1461 -rm -f *.lo
1462
1463 clean-libtool:
1464 -rm -rf .libs _libs
1465
1466 distclean-libtool:
1467 -rm -f libtool config.lt
1468 doc/$(am__dirstamp):
1469 @$(MKDIR_P) doc
1470 @: > doc/$(am__dirstamp)
1471
1472 doc/as.info: doc/as.texi $(doc_as_TEXINFOS)
1473 @test -f doc/$(am__dirstamp) || $(MAKE) $(AM_MAKEFLAGS) doc/$(am__dirstamp)
1474 $(AM_V_MAKEINFO)restore=: && backupdir="$(am__leading_dot)am$$$$" && \
1475 rm -rf $$backupdir && mkdir $$backupdir && \
1476 if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
1477 for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
1478 if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
1479 done; \
1480 else :; fi && \
1481 if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1482 -o $@ `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1483 then \
1484 rc=0; \
1485 else \
1486 rc=$$?; \
1487 $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
1488 fi; \
1489 rm -rf $$backupdir; exit $$rc
1490
1491 doc/as.dvi: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1492 $(AM_V_TEXI2DVI)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1493 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1494 $(TEXI2DVI) $(AM_V_texinfo) --build-dir=$(@:.dvi=.t2d) -o $@ $(AM_V_texidevnull) \
1495 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1496
1497 doc/as.pdf: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1498 $(AM_V_TEXI2PDF)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1499 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1500 $(TEXI2PDF) $(AM_V_texinfo) --build-dir=$(@:.pdf=.t2p) -o $@ $(AM_V_texidevnull) \
1501 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1502
1503 doc/as.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1504 $(AM_V_MAKEINFO)rm -rf $(@:.html=.htp)
1505 $(AM_V_at)if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1506 -o $(@:.html=.htp) `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1507 then \
1508 rm -rf $@ && mv $(@:.html=.htp) $@; \
1509 else \
1510 rm -rf $(@:.html=.htp); exit 1; \
1511 fi
1512 .dvi.ps:
1513 $(AM_V_DVIPS)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1514 $(DVIPS) $(AM_V_texinfo) -o $@ $<
1515
1516 uninstall-dvi-am:
1517 @$(NORMAL_UNINSTALL)
1518 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1519 for p in $$list; do \
1520 $(am__strip_dir) \
1521 echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
1522 rm -f "$(DESTDIR)$(dvidir)/$$f"; \
1523 done
1524
1525 uninstall-html-am:
1526 @$(NORMAL_UNINSTALL)
1527 @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
1528 for p in $$list; do \
1529 $(am__strip_dir) \
1530 echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
1531 rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
1532 done
1533
1534 uninstall-info-am:
1535 @$(PRE_UNINSTALL)
1536 @if test -d '$(DESTDIR)$(infodir)' && $(am__can_run_installinfo); then \
1537 list='$(INFO_DEPS)'; \
1538 for file in $$list; do \
1539 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1540 echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
1541 if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
1542 then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
1543 done; \
1544 else :; fi
1545 @$(NORMAL_UNINSTALL)
1546 @list='$(INFO_DEPS)'; \
1547 for file in $$list; do \
1548 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1549 relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
1550 (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
1551 echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
1552 rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
1553 else :; fi); \
1554 done
1555
1556 uninstall-pdf-am:
1557 @$(NORMAL_UNINSTALL)
1558 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1559 for p in $$list; do \
1560 $(am__strip_dir) \
1561 echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
1562 rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
1563 done
1564
1565 uninstall-ps-am:
1566 @$(NORMAL_UNINSTALL)
1567 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1568 for p in $$list; do \
1569 $(am__strip_dir) \
1570 echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
1571 rm -f "$(DESTDIR)$(psdir)/$$f"; \
1572 done
1573
1574 dist-info: $(INFO_DEPS)
1575 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1576 list='$(INFO_DEPS)'; \
1577 for base in $$list; do \
1578 case $$base in \
1579 $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
1580 esac; \
1581 if test -f $$base; then d=.; else d=$(srcdir); fi; \
1582 base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
1583 for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
1584 if test -f $$file; then \
1585 relfile=`expr "$$file" : "$$d/\(.*\)"`; \
1586 test -f "$(distdir)/$$relfile" || \
1587 cp -p $$file "$(distdir)/$$relfile"; \
1588 else :; fi; \
1589 done; \
1590 done
1591
1592 mostlyclean-aminfo:
1593 -rm -rf doc/as.t2d doc/as.t2p
1594
1595 clean-aminfo:
1596 -test -z "doc/as.dvi doc/as.pdf doc/as.ps doc/as.html" \
1597 || rm -rf doc/as.dvi doc/as.pdf doc/as.ps doc/as.html
1598
1599 maintainer-clean-aminfo:
1600 @list='$(INFO_DEPS)'; for i in $$list; do \
1601 i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
1602 echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
1603 rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
1604 done
1605 install-man1: $(man_MANS)
1606 @$(NORMAL_INSTALL)
1607 @list1=''; \
1608 list2='$(man_MANS)'; \
1609 test -n "$(man1dir)" \
1610 && test -n "`echo $$list1$$list2`" \
1611 || exit 0; \
1612 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
1613 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
1614 { for i in $$list1; do echo "$$i"; done; \
1615 if test -n "$$list2"; then \
1616 for i in $$list2; do echo "$$i"; done \
1617 | sed -n '/\.1[a-z]*$$/p'; \
1618 fi; \
1619 } | while read p; do \
1620 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1621 echo "$$d$$p"; echo "$$p"; \
1622 done | \
1623 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1624 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1625 sed 'N;N;s,\n, ,g' | { \
1626 list=; while read file base inst; do \
1627 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1628 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
1629 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
1630 fi; \
1631 done; \
1632 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1633 while read files; do \
1634 test -z "$$files" || { \
1635 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
1636 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
1637 done; }
1638
1639 uninstall-man1:
1640 @$(NORMAL_UNINSTALL)
1641 @list=''; test -n "$(man1dir)" || exit 0; \
1642 files=`{ for i in $$list; do echo "$$i"; done; \
1643 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1644 sed -n '/\.1[a-z]*$$/p'; \
1645 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1646 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1647 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
1648
1649 # This directory's subdirectories are mostly independent; you can cd
1650 # into them and run 'make' without going through this Makefile.
1651 # To change the values of 'make' variables: instead of editing Makefiles,
1652 # (1) if the variable is set in 'config.status', edit 'config.status'
1653 # (which will cause the Makefiles to be regenerated when you run 'make');
1654 # (2) otherwise, pass the desired values on the 'make' command line.
1655 $(am__recursive_targets):
1656 @fail=; \
1657 if $(am__make_keepgoing); then \
1658 failcom='fail=yes'; \
1659 else \
1660 failcom='exit 1'; \
1661 fi; \
1662 dot_seen=no; \
1663 target=`echo $@ | sed s/-recursive//`; \
1664 case "$@" in \
1665 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1666 *) list='$(SUBDIRS)' ;; \
1667 esac; \
1668 for subdir in $$list; do \
1669 echo "Making $$target in $$subdir"; \
1670 if test "$$subdir" = "."; then \
1671 dot_seen=yes; \
1672 local_target="$$target-am"; \
1673 else \
1674 local_target="$$target"; \
1675 fi; \
1676 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1677 || eval $$failcom; \
1678 done; \
1679 if test "$$dot_seen" = "no"; then \
1680 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1681 fi; test -z "$$fail"
1682
1683 ID: $(am__tagged_files)
1684 $(am__define_uniq_tagged_files); mkid -fID $$unique
1685 tags: tags-recursive
1686 TAGS: tags
1687
1688 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1689 set x; \
1690 here=`pwd`; \
1691 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1692 include_option=--etags-include; \
1693 empty_fix=.; \
1694 else \
1695 include_option=--include; \
1696 empty_fix=; \
1697 fi; \
1698 list='$(SUBDIRS)'; for subdir in $$list; do \
1699 if test "$$subdir" = .; then :; else \
1700 test ! -f $$subdir/TAGS || \
1701 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1702 fi; \
1703 done; \
1704 $(am__define_uniq_tagged_files); \
1705 shift; \
1706 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1707 test -n "$$unique" || unique=$$empty_fix; \
1708 if test $$# -gt 0; then \
1709 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1710 "$$@" $$unique; \
1711 else \
1712 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1713 $$unique; \
1714 fi; \
1715 fi
1716 ctags: ctags-recursive
1717
1718 CTAGS: ctags
1719 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1720 $(am__define_uniq_tagged_files); \
1721 test -z "$(CTAGS_ARGS)$$unique" \
1722 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1723 $$unique
1724
1725 GTAGS:
1726 here=`$(am__cd) $(top_builddir) && pwd` \
1727 && $(am__cd) $(top_srcdir) \
1728 && gtags -i $(GTAGS_ARGS) "$$here"
1729 cscope: cscope.files
1730 test ! -s cscope.files \
1731 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1732 clean-cscope:
1733 -rm -f cscope.files
1734 cscope.files: clean-cscope cscopelist
1735 cscopelist: cscopelist-recursive
1736
1737 cscopelist-am: $(am__tagged_files)
1738 list='$(am__tagged_files)'; \
1739 case "$(srcdir)" in \
1740 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1741 *) sdir=$(subdir)/$(srcdir) ;; \
1742 esac; \
1743 for i in $$list; do \
1744 if test -f "$$i"; then \
1745 echo "$(subdir)/$$i"; \
1746 else \
1747 echo "$$sdir/$$i"; \
1748 fi; \
1749 done >> $(top_builddir)/cscope.files
1750
1751 distclean-tags:
1752 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1753 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1754 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1755 @echo 'Making a new site.exp file ...'
1756 @echo '## these variables are automatically generated by make ##' >site.tmp
1757 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1758 @echo '# edit the last section' >>site.tmp
1759 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1760 @echo "set objdir `pwd`" >>site.tmp
1761 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1762 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1763 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1764 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1765 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1766 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1767 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1768 echo "## Begin content included from file $$f. Do not modify. ##" \
1769 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1770 && echo "## End content included from file $$f. ##" \
1771 || exit 1; \
1772 done >> site.tmp
1773 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1774 @if test -f site.exp; then \
1775 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1776 fi
1777 @-rm -f site.bak
1778 @test ! -f site.exp || mv site.exp site.bak
1779 @mv site.tmp site.exp
1780
1781 distclean-DEJAGNU:
1782 -rm -f site.exp site.bak
1783 -l='$(DEJATOOL)'; for tool in $$l; do \
1784 rm -f $$tool.sum $$tool.log; \
1785 done
1786 check-am: all-am
1787 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
1788 check: check-recursive
1789 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(SCRIPTS) $(MANS) config.h
1790 installdirs: installdirs-recursive
1791 installdirs-am:
1792 for dir in "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
1793 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1794 done
1795 install: install-recursive
1796 install-exec: install-exec-recursive
1797 install-data: install-data-recursive
1798 uninstall: uninstall-recursive
1799
1800 install-am: all-am
1801 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1802
1803 installcheck: installcheck-recursive
1804 install-strip:
1805 if test -z '$(STRIP)'; then \
1806 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1807 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1808 install; \
1809 else \
1810 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1811 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1812 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1813 fi
1814 mostlyclean-generic:
1815 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1816
1817 clean-generic:
1818
1819 distclean-generic:
1820 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1821 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1822 -rm -f config/$(DEPDIR)/$(am__dirstamp)
1823 -rm -f config/$(am__dirstamp)
1824 -rm -f doc/$(am__dirstamp)
1825 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1826
1827 maintainer-clean-generic:
1828 @echo "This command is intended for maintainers to use"
1829 @echo "it deletes files that may require special tools to rebuild."
1830 -rm -f config/bfin-lex.c
1831 -rm -f config/bfin-parse.c
1832 -rm -f config/loongarch-lex.c
1833 -rm -f config/loongarch-parse.c
1834 -rm -f config/m68k-parse.c
1835 -rm -f config/rl78-parse.c
1836 -rm -f config/rx-parse.c
1837 -rm -f itbl-lex.c
1838 -rm -f itbl-parse.c
1839 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1840 clean: clean-recursive
1841
1842 clean-am: clean-aminfo clean-generic clean-libtool \
1843 clean-noinstPROGRAMS mostlyclean-am
1844
1845 distclean: distclean-recursive
1846 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1847 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
1848 -rm -f Makefile
1849 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1850 distclean-generic distclean-hdr distclean-libtool \
1851 distclean-tags
1852
1853 dvi: dvi-recursive
1854
1855 dvi-am: $(DVIS)
1856
1857 html: html-recursive
1858
1859 html-am: $(HTMLS) html-local
1860
1861 info: info-recursive
1862
1863 info-am: $(INFO_DEPS) info-local
1864
1865 install-data-am: install-info-am install-man
1866
1867 install-dvi: install-dvi-recursive
1868
1869 install-dvi-am: $(DVIS)
1870 @$(NORMAL_INSTALL)
1871 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1872 if test -n "$$list"; then \
1873 echo " $(MKDIR_P) '$(DESTDIR)$(dvidir)'"; \
1874 $(MKDIR_P) "$(DESTDIR)$(dvidir)" || exit 1; \
1875 fi; \
1876 for p in $$list; do \
1877 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1878 echo "$$d$$p"; \
1879 done | $(am__base_list) | \
1880 while read files; do \
1881 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
1882 $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
1883 done
1884 install-exec-am: install-exec-local
1885
1886 install-html: install-html-recursive
1887
1888 install-html-am: $(HTMLS)
1889 @$(NORMAL_INSTALL)
1890 @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
1891 if test -n "$$list"; then \
1892 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
1893 $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
1894 fi; \
1895 for p in $$list; do \
1896 if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
1897 $(am__strip_dir) \
1898 d2=$$d$$p; \
1899 if test -d "$$d2"; then \
1900 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
1901 $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
1902 echo " $(INSTALL_DATA) '$$d2'/* '$(DESTDIR)$(htmldir)/$$f'"; \
1903 $(INSTALL_DATA) "$$d2"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
1904 else \
1905 list2="$$list2 $$d2"; \
1906 fi; \
1907 done; \
1908 test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
1909 while read files; do \
1910 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
1911 $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
1912 done; }
1913 install-info: install-info-recursive
1914
1915 install-info-am: $(INFO_DEPS)
1916 @$(NORMAL_INSTALL)
1917 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1918 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1919 if test -n "$$list"; then \
1920 echo " $(MKDIR_P) '$(DESTDIR)$(infodir)'"; \
1921 $(MKDIR_P) "$(DESTDIR)$(infodir)" || exit 1; \
1922 fi; \
1923 for file in $$list; do \
1924 case $$file in \
1925 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
1926 esac; \
1927 if test -f $$file; then d=.; else d=$(srcdir); fi; \
1928 file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
1929 for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
1930 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
1931 if test -f $$ifile; then \
1932 echo "$$ifile"; \
1933 else : ; fi; \
1934 done; \
1935 done | $(am__base_list) | \
1936 while read files; do \
1937 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
1938 $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
1939 @$(POST_INSTALL)
1940 @if $(am__can_run_installinfo); then \
1941 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1942 for file in $$list; do \
1943 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1944 echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
1945 install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
1946 done; \
1947 else : ; fi
1948 install-man: install-man1
1949
1950 install-pdf: install-pdf-recursive
1951
1952 install-pdf-am: $(PDFS)
1953 @$(NORMAL_INSTALL)
1954 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1955 if test -n "$$list"; then \
1956 echo " $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
1957 $(MKDIR_P) "$(DESTDIR)$(pdfdir)" || exit 1; \
1958 fi; \
1959 for p in $$list; do \
1960 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1961 echo "$$d$$p"; \
1962 done | $(am__base_list) | \
1963 while read files; do \
1964 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
1965 $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
1966 install-ps: install-ps-recursive
1967
1968 install-ps-am: $(PSS)
1969 @$(NORMAL_INSTALL)
1970 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1971 if test -n "$$list"; then \
1972 echo " $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
1973 $(MKDIR_P) "$(DESTDIR)$(psdir)" || exit 1; \
1974 fi; \
1975 for p in $$list; do \
1976 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1977 echo "$$d$$p"; \
1978 done | $(am__base_list) | \
1979 while read files; do \
1980 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
1981 $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
1982 installcheck-am:
1983
1984 maintainer-clean: maintainer-clean-recursive
1985 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1986 -rm -rf $(top_srcdir)/autom4te.cache
1987 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
1988 -rm -f Makefile
1989 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
1990 maintainer-clean-generic
1991
1992 mostlyclean: mostlyclean-recursive
1993
1994 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
1995 mostlyclean-generic mostlyclean-libtool
1996
1997 pdf: pdf-recursive
1998
1999 pdf-am: $(PDFS)
2000
2001 ps: ps-recursive
2002
2003 ps-am: $(PSS)
2004
2005 uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
2006 uninstall-man uninstall-pdf-am uninstall-ps-am
2007
2008 uninstall-man: uninstall-man1
2009
2010 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
2011
2012 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
2013 am--refresh check check-DEJAGNU check-am clean clean-aminfo \
2014 clean-cscope clean-generic clean-libtool clean-noinstPROGRAMS \
2015 cscope cscopelist-am ctags ctags-am dist-info distclean \
2016 distclean-DEJAGNU distclean-compile distclean-generic \
2017 distclean-hdr distclean-libtool distclean-tags dvi dvi-am html \
2018 html-am html-local info info-am info-local install install-am \
2019 install-data install-data-am install-dvi install-dvi-am \
2020 install-exec install-exec-am install-exec-local install-html \
2021 install-html-am install-info install-info-am install-man \
2022 install-man1 install-pdf install-pdf-am install-ps \
2023 install-ps-am install-strip installcheck installcheck-am \
2024 installdirs installdirs-am maintainer-clean \
2025 maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
2026 mostlyclean-aminfo mostlyclean-compile mostlyclean-generic \
2027 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
2028 uninstall-am uninstall-dvi-am uninstall-html-am \
2029 uninstall-info-am uninstall-man uninstall-man1 \
2030 uninstall-pdf-am uninstall-ps-am
2031
2032 .PRECIOUS: Makefile
2033
2034 po/POTFILES.in: @MAINT@ Makefile
2035 for f in $(POTFILES); do echo $$f; done | LC_ALL=C sort > tmp \
2036 && mv tmp $(srcdir)/po/POTFILES.in
2037
2038 diststuff: $(EXTRA_DIST) info
2039
2040 check-DEJAGNU: site.exp
2041 if [ -d testsuite ]; then \
2042 true; \
2043 else \
2044 mkdir testsuite; \
2045 fi
2046 rm -f testsuite/site.exp
2047 cp site.exp testsuite/site.exp
2048 rootme=`pwd`; export rootme; \
2049 srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
2050 LC_ALL=C; export LC_ALL; \
2051 EXPECT=${EXPECT} ; export EXPECT ; \
2052 runtest=$(RUNTEST); \
2053 cd testsuite; \
2054 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
2055 $$runtest --tool $(DEJATOOL) --srcdir $${srcdir}/testsuite \
2056 $(RUNTESTFLAGS); \
2057 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
2058 fi
2059
2060 development.exp: $(BFDDIR)/development.sh
2061 $(EGREP) "(development|experimental)=" $(BFDDIR)/development.sh \
2062 | $(AWK) -F= '{ print "set " $$1 " " $$2 }' > $@
2063 config/m68k-parse.c: $(srcdir)/config/m68k-parse.y
2064 $(SHELL) $(YLWRAP) $(srcdir)/config/m68k-parse.y y.tab.c $@ -- $(YACCCOMPILE)
2065 config/m68k-parse.h: config/m68k-parse.c
2066 @true
2067 config/bfin-parse.c: $(srcdir)/config/bfin-parse.y
2068 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-parse.y y.tab.c $@ y.tab.h config/bfin-parse.h -- $(YACCCOMPILE) -d ;
2069 config/bfin-parse.h: config/bfin-parse.c
2070 @true
2071 config/bfin-lex.c: $(srcdir)/config/bfin-lex.l
2072 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2073
2074 config/bfin-lex-wrapper.@OBJEXT@: config/bfin-lex.c config/bfin-parse.h
2075 config/rl78-parse.c: $(srcdir)/config/rl78-parse.y
2076 $(SHELL) $(YLWRAP) $(srcdir)/config/rl78-parse.y y.tab.c $@ y.tab.h config/rl78-parse.h -- $(YACCCOMPILE) -d ;
2077 config/rl78-parse.h: config/rl78-parse.c
2078 @true
2079 config/rx-parse.c: $(srcdir)/config/rx-parse.y
2080 $(SHELL) $(YLWRAP) $(srcdir)/config/rx-parse.y y.tab.c $@ y.tab.h config/rx-parse.h -- $(YACCCOMPILE) -d ;
2081 config/rx-parse.h: config/rx-parse.c
2082 @true
2083 config/loongarch-parse.c: $(srcdir)/config/loongarch-parse.y
2084 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-parse.y y.tab.c $@ y.tab.h config/loongarch-parse.h -- $(YACCCOMPILE) -d ;
2085 config/loongarch-parse.h: config/loongarch-parse.c
2086 @true
2087 config/loongarch-lex.c: $(srcdir)/config/loongarch-lex.l
2088 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2089
2090 config/loongarch-lex-wrapper.@OBJEXT@: config/loongarch-lex.c config/loongarch-parse.h
2091
2092 # The mips instruction table specification lexical analyzer and parser.
2093
2094 itbl-lex-wrapper.@OBJEXT@: itbl-lex.c itbl-parse.h
2095
2096 itbl-parse.c: $(srcdir)/itbl-parse.y
2097 $(SHELL) $(YLWRAP) $(srcdir)/itbl-parse.y y.tab.c $@ y.tab.h itbl-parse.h -- $(YACCCOMPILE) -d
2098
2099 itbl-parse.h: itbl-parse.c
2100 @true
2101
2102 itbl-ops.@OBJEXT@: itbl-parse.h
2103
2104 itbl-tops.@OBJEXT@: itbl-ops.c itbl-parse.h
2105 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -o $@ -c -DSTAND_ALONE $(srcdir)/itbl-ops.c
2106 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2107 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-ops.c' object='$@' libtool=no @AMDEPBACKSLASH@
2108 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2109 @am__fastdepCC_FALSE@ $(COMPILE) -o $@ -DSTAND_ALONE -c $(srcdir)/itbl-ops.c
2110
2111 itbl-test.@OBJEXT@: $(srcdir)/testsuite/gas/all/itbl-test.c
2112 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2113 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2114 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-test.c' object='$@' libtool=no @AMDEPBACKSLASH@
2115 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2116 @am__fastdepCC_FALSE@ $(COMPILE) -c -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2117
2118 cgen.@OBJEXT@: cgen.c cgen.h cgen-desc.h subsegs.h \
2119 $(INCDIR)/obstack.h $(INCDIR)/opcode/cgen.h \
2120 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-desc.h \
2121 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-opc.h
2122
2123 .PHONY: install-exec-local install-data-local
2124 .PHONY: install-exec-bindir install-exec-tooldir
2125
2126 install-exec-local: install-exec-bindir @install_tooldir@
2127
2128 install-exec-bindir: $(noinst_PROGRAMS)
2129 $(mkinstalldirs) $(DESTDIR)$(bindir)
2130 @list='$(noinst_PROGRAMS)'; for p in $$list; do \
2131 if test -f $$p; then \
2132 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
2133 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
2134 else :; fi; \
2135 done
2136
2137 install-exec-tooldir: install-exec-bindir $(noinst_PROGRAMS)
2138 $(mkinstalldirs) $(DESTDIR)$(tooldir)/bin
2139 n=`echo as | sed '$(transform)'`; \
2140 if [ "$(bindir)/$$n$(EXEEXT)" != "$(tooldir)/bin/as$(EXEEXT)" ]; then \
2141 rm -f $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2142 ln $(DESTDIR)$(bindir)/$$n$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT) >/dev/null 2>/dev/null \
2143 || $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) as-new$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2144 else \
2145 true ; \
2146 fi
2147
2148 # These exist for maintenance purposes.
2149
2150 .PHONY: bootstrap bootstrap2 bootstrap3 stage1 stage2 stage3 comparison
2151
2152 bootstrap: as-new$(EXEEXT)
2153 $(MAKE) stage1
2154 rm -f stage && ln -s stage1 stage
2155 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2156 $(MAKE) stage2
2157 rm -f stage && ln -s stage2 stage
2158 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2159 $(MAKE) comparison against=stage2
2160
2161 bootstrap2:
2162 rm -f stage && ln -s stage1 stage
2163 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2164 $(MAKE) stage2
2165 rm -f stage && ln -s stage2 stage
2166 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2167 $(MAKE) comparison against=stage2
2168
2169 bootstrap3:
2170 rm -f stage && ln -s stage2 stage
2171 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2172 $(MAKE) comparison against=stage2
2173
2174 # Copy the object files from a particular stage into a subdirectory.
2175 stage1:
2176 -mkdir stage1
2177 -mv $(STAGESTUFF) stage1
2178 if [ -f stage1/as-new$(EXEEXT) -a ! -f stage1/as$(EXEEXT) ] ; then (cd stage1 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2179
2180 stage2:
2181 -mkdir stage2
2182 -mv $(STAGESTUFF) stage2
2183 if [ -f stage2/as-new$(EXEEXT) -a ! -f stage2/as$(EXEEXT) ] ; then (cd stage2 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2184
2185 stage3:
2186 -mkdir stage3
2187 -mv $(STAGESTUFF) stage3
2188 if [ -f stage3/as-new$(EXEEXT) -a ! -f stage3/as$(EXEEXT) ] ; then (cd stage3 ; ln -s as-new as$(EXEEXT)) ; fi
2189
2190 comparison:
2191 x=0 ; \
2192 for file in *.@OBJEXT@ ; do \
2193 f1=./$$file; f2=${against}/$$file; \
2194 $(do_compare) > /dev/null 2>&1; \
2195 if test $$? -ne 0; then \
2196 echo $$file differs ; \
2197 x=1 ; \
2198 fi ; \
2199 done ; \
2200 exit $$x
2201 -rm -f tmp-foo*
2202
2203 .PHONY: de-stage1 de-stage2 de-stage3
2204
2205 de-stage1:
2206 - (cd stage1 ; rm -f as$(EXEEXT) ; mv -f * ..)
2207 - rmdir stage1
2208
2209 de-stage2:
2210 - (cd stage2 ; rm -f as$(EXEEXT) ; mv -f * ..)
2211 - rmdir stage2
2212
2213 de-stage3:
2214 - (cd stage3 ; rm -f as$(EXEEXT) ; mv -f * ..)
2215 - rmdir stage3
2216
2217 doc/asconfig.texi: doc/$(CONFIG).texi doc/$(am__dirstamp)
2218 $(AM_V_at)rm -f doc/asconfig.texi
2219 $(AM_V_GEN)cp $(srcdir)/doc/$(CONFIG).texi doc/asconfig.texi
2220 $(AM_V_at)chmod u+w doc/asconfig.texi
2221
2222 # Maintenance
2223
2224 # We need it for the taz target in ../Makefile.in.
2225 info-local: $(MANS)
2226
2227 # Build the man page from the texinfo file
2228 # The sed command removes the no-adjust Nroff command so that
2229 # the man output looks standard.
2230 doc/as.1: $(srcdir)/doc/as.texi doc/asconfig.texi $(CPU_DOCS) doc/$(am__dirstamp)
2231 $(AM_V_GEN)touch $@
2232 $(AM_V_at)-$(TEXI2POD) $(MANCONF) < $(srcdir)/doc/as.texi > doc/as.pod
2233 $(AM_V_at)-($(POD2MAN) doc/as.pod | \
2234 sed -e '/^.if n .na/d' > $@.T$$$$ && \
2235 mv -f $@.T$$$$ $@) || \
2236 (rm -f $@.T$$$$ && exit 1)
2237 $(AM_V_at)rm -f doc/as.pod
2238
2239 html-local: doc/as/index.html
2240 doc/as/index.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
2241 $(AM_V_GEN)$(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) \
2242 --split=node -I$(srcdir)/doc -o doc/as $(srcdir)/doc/as.texi
2243
2244 # Tell versions [3.59,3.63) of GNU make to not export all variables.
2245 # Otherwise a system limit (for SysV at least) may be exceeded.
2246 .NOEXPORT: